Package: org.codehaus.groovy.control.messages

## [Java] Class ExceptionMessage

- org.codehaus.groovy.control.messages.ExceptionMessage

-     public class ExceptionMessage
      extends Message

  A class for error messages produced by the parser system.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `debug` |
    `protected ProcessingUnit` | `owner` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Exception` | `getCause()` Returns the underlying Exception.
    `` | `public void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the exception.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Message` | `create, create, create, write, write`

- - ### Field Detail

    - #### protected final boolean debug

    - #### protected final ProcessingUnit owner

  - ### Constructor Detail

    - #### public ExceptionMessage(Exception cause, boolean debug, ProcessingUnit owner)

  - ### Method Detail

    - #### public Exception getCause()

      Returns the underlying Exception.

    - #### @Override
      public void write(PrintWriter output, Janitor janitor)

      Writes out a nicely formatted summary of the exception.